Bug 308901 - OpenOffice.org2 missing dependencies when rebuilding from SRPM
OpenOffice.org2 missing dependencies when rebuilding from SRPM
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org (Show other bugs)
4.5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike McLean
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 08:45 EDT by Michal Nowak
Modified: 2013-03-07 21:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 12:32:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2007-09-27 08:45:11 EDT
Description of problem:

Recent version of OpenOffice.org v2 can't be build on i386 platform on RHEL4.

Version-Release number of selected component (if applicable):

openoffice.org2-2.0.4-5.7.0.2.0.src.rpm

How reproducible:
rebuild OO.o2 from SRPM

Steps to Reproduce:
  
Actual results:

checking which zlib to use... external
checking zlib.h usability... no
checking zlib.h presence... yes
configure: WARNING: zlib.h: present but cannot be compiled
configure: WARNING: zlib.h:     check for missing prerequisite headers?
configure: WARNING: zlib.h: see the Autoconf documentation
configure: WARNING: zlib.h:     section "Present But Cannot Be Compiled"
configure: WARNING: zlib.h: proceeding with the preprocessor's result
configure: WARNING: zlib.h: in the future, the compiler will take precedence
configure: WARNING:     ## ------------------------------------------ ##
configure: WARNING:     ## Report this to the AC_PACKAGE_NAME lists.  ##
configure: WARNING:     ## ------------------------------------------ ##
checking for zlib.h... yes
checking for deflate in -lz... no
configure: error: zlib not found or functional


Expected results:

checking which zlib to use... external
checking zlib.h usability... yes                       <-- !
checking zlib.h presence... yes
checking for zlib.h... yes
checking for deflate in -lz... yes                     <-- !

Additional info:

Installing perl-Compress-Zlib manually should do the trick.

Please note that, I was unable to reproduce it right now, but was able in the
past (two weeks later).
Comment 1 Michal Nowak 2007-09-27 08:53:53 EDT
s/later/earlier/
Comment 2 Mike McLean 2007-09-27 11:54:00 EDT
Without further data, there isn't much for me to work with. If you cannot
currently reproduce this, then how can you expect me to?

Since you've assigned this to me (and not the package owner), I assume you're
blaming the content of RHEL4. In any case, you need to provide sufficient data
for someone to reproduce your build environment, as well as details on how you
actually performed the rebuild.

Please note that perl-Compress-Zlib was /not/ present in the i386 buildroot used
to build openoffice.org2-2.0.4-5.7.0.2.0 in the build system.

Note You need to log in before you can comment on or make changes to this bug.